### Method

# Camel DataCache set_expire_access

#### Declaration [src]

    void
    camel_data_cache_set_expire_access (
      CamelDataCache* cdc,
      time_t when
    )

#### Description [src]

Set the cache expiration policy for access times.

Items in the cache which haven’t been accessed for `when` seconds may be expired at any time. Items are expired in a lazy manner, so it is indeterminate when the items will physically be removed.

Note you can set both an age and an access limit. The age acts as a hard limit on cache entries.

#### Parameters

`when`

  Type: `time_t`

  Timeout for access, or -1 to disable access expiry.